/*

	Word base pronounciation rules and special cases.
*/

#include <ctype.h>
#include <std/types.h>
#include <std/string.h>
#include <std/config.h>
#include "speak.h"

void	word(char *str)
{
	char	*p;

	/* Internet x@y as "x at y" */

	if(NULL != (p = strchr(str, '@')))
	{
		*(p++) = 0;
		word(str);
		word("at");
		word(p);
		return;
	}

	/* Check for x.y.z as "x dot y dot z" */

	while(NULL != (p = strchr(str, '.')))
	{
		*(p++) = 0;
		spo_word(str);
		spo_word("dot");
		str = p;
	}

	spo_word(str);
}
